### Method

# Dex StateTransitionContext set_state

unstable since: 1.2

#### Declaration [src]

    void
    dex_state_transition_context_set_state (
      DexStateTransitionContext* context,
      guint state
    )

#### Description [src]

Sets the real current state in the `DexStateMachine`.

This may be used by transition callbacks to expose intermediate states while doing asynchronous work. `state` must be a valid value in the state machine’s enum type. This method may only be used while the transition callback is active.

Available since: 1.2

#### Parameters

`state`

  Type: `guint`

  The new state.